PHP-инклюдинг в PHP Upload Center

Дата публикации:
06.12.2006
Дата изменения:
07.12.2006
Всего просмотров:
1077
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHP Upload Center 2.x
Уязвимые версии: PHP Upload Center 2.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "footerpage" в сценарии activate.php, если "language" установлен в "conf". Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Пример:

http://[host]/[path]/activate.php?language=conf&footerpage=[file]

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "language" в сценарии activate.php. Удаленный пользователь может подключить произвольные файлы на локальной системе. Для удачной эксплуатации уязвимости подключаемые файлы не должны иметь расширение ".php" и опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

URL производителя: skrypty.webpc.pl/pobierz.php?id=58

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: PHP Upload Center 2.0 (activate.php) File Include Vulnerabilities

или введите имя

CAPTCHA